<?php
/**
 * @package		Joomla.Site
 * @copyright	Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// Set flag that this is a parent file.
define('_JEXEC', 1);
define('DS', DIRECTORY_SEPARATOR);

if (file_exists(dirname(__FILE__) . '/defines.php')) {
	include_once dirname(__FILE__) . '/defines.php';
}

if (!defined('_JDEFINES')) {
	define('JPATH_BASE', dirname(__FILE__));
	require_once JPATH_BASE.'/includes/defines.php';
}

require_once JPATH_BASE.'/includes/framework.php';

// Mark afterLoad in the profiler.
JDEBUG ? $_PROFILER->mark('afterLoad') : null;

// Instantiate the application.
$app = JFactory::getApplication('site');

// Initialise the application.
$app->initialise();

$db = JFactory::getDbo();
$changeFrom = "old-link/";
$changeTo = "new-link/";
$sql = "SELECT * FROM #__sh404sef_urls WHERE oldurl LIKE '%".$changeFrom."%'";
$db->setQuery($sql);
$arrResult = $db->loadAssocList();

for ($i = 0; $i < count($arrResult); $i++){
	//insert into the aliases array
	$sql = "INSERT INTO `#__sh404sef_aliases` (`id`, `newurl`, `alias`, `type`, `hits`) VALUES
	('', '".$arrResult[$i]['newurl']."', '".$arrResult[$i]['oldurl']."', 0, 0);";
	$db->setQuery($sql);
	$db->query();
}

//UPDATE the whole table #__sh404sef_urls table
$sql = "UPDATE #__sh404sef_urls SET oldurl = REPLACE(`oldurl`, '".$changeFrom."', '".$changeTo."')  WHERE oldurl LIKE '%".$changeFrom."%';";
$db->setQuery($sql);
$db->query();

echo('Done!');
